## acl2 7.2dfsg

=== books/build/jenkins/Makefile ===
# ACL2 Makefile Wrapper
#
# ACL2's makefile unfortunately always rebuilds ACL2, even if it's
# already up to date.  For our build server, this isn't a good idea.
# Run this from your top-level acl2 directory.
#
# General usage:
#
# make -f books/build/jenkins/Makefile <target> LISP=<command>
#
# Example usages:
#
# make -f books/build/jenkins/Makefile acl2 LISP=ccl
# make -f books/build/jenkins/Makefile acl2r LISP=ccl
# make -f books/build/jenkins/Makefile saved_acl2p LISP=ccl

ACL2_ALL_SOURCES  := $(wildcard *.lisp)
ACL2_FAKE_SOURCES := acl2-proclaims.lisp acl2r.lisp
ACL2_SOURCES      := $(filter-out $(ACL2_FAKE_SOURCES), $(ACL2_ALL_SOURCES))
ACL2_DEPS         := $(ACL2_SOURCES) GNUmakefile

.PHONY: acl2c acl2cp acl2cr acl2cpr
.PHONY: acl2 acl2p acl2r acl2pr

acl2c: saved_acl2c
acl2cp: saved_acl2cp
acl2cr: saved_acl2cr
acl2cpr: saved_acl2cpr

# Note that we don't use &>, because otherwise the process goes on
# immediately, and waiting 100 seconds isn't enough for SBCL builds.

saved_acl2c: $(ACL2_DEPS)
	echo "Making ACL2(c) on $(LISP)"
	time make --file=GNUmakefile LISP=$(LISP) ACL2_HONS= ACL2_PAR= ACL2_REAL= > make-acl2.log
	./books/build/wait.pl make-acl2.log
	cat make-acl2.log
	./books/build/wait.pl saved_acl2c
	ls -lah saved_acl2c

saved_acl2cp: $(ACL2_DEPS)
	echo "Making ACL2(cp) on $(LISP)"
	time make --file=GNUmakefile LISP=$(LISP) ACL2_HONS= ACL2_PAR=p ACL2_REAL= > make-acl2.log
	./books/build/wait.pl make-acl2.log
	cat make-acl2.log
	./books/build/wait.pl saved_acl2cp
	ls -lah saved_acl2cp

saved_acl2cr: $(ACL2_DEPS)
	echo "Making ACL2(cr) on $(LISP)"
	time make --file=GNUmakefile LISP=$(LISP) ACL2_HONS= ACL2_PAR= ACL2_REAL=r > make-acl2.log
	./books/build/wait.pl make-acl2.log
	cat make-acl2.log
	./books/build/wait.pl saved_acl2cr
	ls -lah saved_acl2cr

saved_acl2cpr: $(ACL2_DEPS)
	echo "Making ACL2(cpr) on $(LISP)"
	time make --file=GNUmakefile LISP=$(LISP) ACL2_HONS= ACL2_PAR=p ACL2_REAL=r > make-acl2.log
	./books/build/wait.pl make-acl2.log
	cat make-acl2.log
	./books/build/wait.pl saved_acl2cpr
	ls -lah saved_acl2cpr




acl2:   saved_acl2
acl2p:  saved_acl2p
acl2r:  saved_acl2r
acl2pr: saved_acl2pr

saved_acl2: $(ACL2_DEPS)
	echo "Making ACL2(h) on $(LISP)"
	time make --file=GNUmakefile LISP=$(LISP) ACL2_HONS=h ACL2_PAR= ACL2_REAL= > make-acl2.log
	./books/build/wait.pl make-acl2.log
	cat make-acl2.log
	./books/build/wait.pl saved_acl2
	ls -lah saved_acl2

saved_acl2p: $(ACL2_DEPS)
	echo "Making ACL2(hp) on $(LISP)"
	time make --file=GNUmakefile LISP=$(LISP) ACL2_HONS=h ACL2_PAR=p ACL2_REAL= > make-acl2.log
	./books/build/wait.pl make-acl2.log
	cat make-acl2.log
	./books/build/wait.pl saved_acl2p
	ls -lah saved_acl2p

saved_acl2r: $(ACL2_DEPS)
	echo "Making ACL2(hr) on $(LISP)"
	time make --file=GNUmakefile LISP=$(LISP) ACL2_HONS=h ACL2_PAR= ACL2_REAL=r > make-acl2.log
	./books/build/wait.pl make-acl2.log
	cat make-acl2.log
	./books/build/wait.pl saved_acl2r
	ls -lah saved_acl2r

saved_acl2pr: $(ACL2_DEPS)
	echo "Making ACL2(hpr) on $(LISP)"
	time make --file=GNUmakefile LISP=$(LISP) ACL2_HONS=h ACL2_PAR=p ACL2_REAL=r > make-acl2.log
	./books/build/wait.pl make-acl2.log
	cat make-acl2.log
	./books/build/wait.pl saved_acl2pr
	ls -lah saved_acl2pr

=== books/projects/masc/Makefile ===
export ACL2?=/nfs/pdx/disks/ccdo.val.work.238/valid/fvcoe/fvcoe_work.2/users/dmrussin/acl2
export MASC?=/nfs/pdx/disks/ccdo.val.work.238/valid/fvcoe/fvcoe_work.2/users/dmrussin/masc

all:
	(cd src; make all)
	(cd lisp; make all)

clean:
	(cd lisp; make clean)
	(cd src; make clean)

veryclean: clean
	(cd lisp; make veryclean)
	(cd src; make veryclean)

=== books/projects/x86isa/Makefile ===
# Shilpi Goel

# Usage:

# make JOBS=2 \
#      X86ISA_EXEC=t \
#      ACL2=<Path of the ACL2 image>

#======================================================================
.PHONY: all write_exec_fn top execclean clean
#======================================================================

ifndef ACL2
 $(error Variable ACL2 is undefined.)
endif

BUILD_DIR := $(dir $(ACL2))books/build
CC ?= gcc
X86ISA_EXEC ?= t
JOBS ?= 2

#======================================================================

ifeq ($(X86ISA_EXEC), t)

PLATFORM = $(shell uname | tr a-z A-Z)

ifeq ($(findstring LINUX,$(PLATFORM)), LINUX)
 RDRAND_LIB := machine/shared/librdrand.so
 SYSCALL_LIB := machine/shared/libsyscallutils.so
# PROOF_BOOKS += $(LINUX_BOOKS)
endif # ifeq ($(findstring LINUX,$(PLATFORM)), LINUX)

ifeq ($(findstring DARWIN,$(PLATFORM)), DARWIN)
 RDRAND_LIB := machine/shared/librdrand.dylib
 SYSCALL_LIB := machine/shared/libsyscallutils.dylib
# PROOF_BOOKS += $(DARWIN_BOOKS)
endif # ifeq ($(findstring DARWIN,$(PLATFORM)), DARWIN)

X86ISA_EXEC_CERTS = $(RDRAND_LIB)
X86ISA_EXEC_CERTS += $(SYSCALL_LIB)

X86ISA_FULL_EXEC_SUPPORT_EXISTS := $(wildcard machine/x86isa_full_exec_support.lisp)
X86_SYSCALLS_ACL2_EXISTS := $(wildcard machine/x86-syscalls.acl2)

ifneq ($(X86ISA_FULL_EXEC_SUPPORT_EXISTS), machine/x86isa_full_exec_support.lisp)
ifneq ($(X86_SYSCALLS_ACL2_EXISTS), machine/x86-syscalls.acl2)
 X86ISA_EXEC_CERTS += write_exec_fn
endif # ifneq ($(X86_SYSCALLS_ACL2_EXISTS), machine/x86-syscalls.acl2)
endif # ifneq ($(X86ISA_FULL_EXEC_SUPPORT_EXISTS), machine/x86isa_full_exec_support.lisp)
endif # ifeq ($(X86ISA_EXEC), t)

#======================================================================

all: $(X86ISA_EXEC_CERTS) top

write_exec_fn: # Here only when X86ISA_EXEC=t and if generated files don't exist already	
	@$(CC) -g -c machine/shared/get_cpuid_v1_lix64.s -o machine/shared/get_cpuid_v1_lix64.o
	@$(CC) -o machine/shared/check-rdrand-support.o machine/shared/check-rdrand-support.c machine/shared/get_cpuid_v1_lix64.o
	@./machine/shared/check-rdrand-support.o > /dev/null ; \
	if [ $$? != 0 ] ; then \
	  echo 'Note: RDRAND instruction is supported on your machine.' ; \
	  echo 'Note: Including the following C shared libraries:' ; \
	  echo '      $(RDRAND_LIB) $(SYSCALL_LIB)' ; \
	  echo ';; File contents generated during the make process' > machine/x86isa_full_exec_support.lisp ; \
	  echo '(in-package "X86ISA")' >> machine/x86isa_full_exec_support.lisp ; \
	  echo '(defun x86isa_rdrand_exec_support () 42)' >> machine/x86isa_full_exec_support.lisp ; \
	  echo '(defun x86isa_syscall_exec_support () 42)' >> machine/x86isa_full_exec_support.lisp ; \
	else \
	  echo 'Note: RDRAND instruction is not supported on your machine.' ; \
	  echo 'Note: You will not be able to execute the RDRAND instruction on the X86ISA model.' ; \
	  echo 'Note: Including the following C shared libraries:' ; \
	  echo '      $(SYSCALL_LIB)' ; \
	  echo ';; File contents generated during the make process' > machine/x86isa_full_exec_support.lisp ; \
	  echo '(in-package "X86ISA")' >> machine/x86isa_full_exec_support.lisp ; \
	  echo '(defun x86isa_syscall_exec_support () 42)' >> machine/x86isa_full_exec_support.lisp ; \
	fi
	@${info machine/x86isa_full_exec_support.lisp created to support X86ISA_EXEC=$(X86ISA_EXEC).} 
	@${info Note: Please do not add machine/x86isa_full_exec_support.lisp to the repository!} 
	@cp machine/cert.acl2 machine/x86-syscalls.acl2 
	@echo '(ld "x86isa_full_exec_support.lisp" :ld-missing-input-ok t)' >> machine/x86-syscalls.acl2 
	@${info machine/x86-syscalls.acl2 created to support X86ISA_EXEC=$(X86ISA_EXEC).} 
	@${info Note: Please do not add machine/x86-syscalls.acl2 to the repository!} 
	@${info Remember to do 'make execclean' if you wish to build with X86ISA_EXEC=nil.} 
	@${info ----------------------------------------------------------------------} 	

machine/shared/librdrand.dylib: machine/shared/rdrand.c
	$(CC) -m64 -dynamiclib -Wall -o machine/shared/librdrand.dylib \
	     machine/shared/rdrand.c

machine/shared/librdrand.so: machine/shared/rdrand.c
	$(CC) -c -Wall -Werror -fpic -o machine/shared/rdrand.o \
				      machine/shared/rdrand.c
	$(CC) -shared -o machine/shared/librdrand.so machine/shared/rdrand.c

machine/shared/libsyscallutils.dylib: machine/shared/syscall-utils.c
	$(CC) -m64 -dynamiclib -Wall -o machine/shared/libsyscallutils.dylib \
	     machine/shared/syscall-utils.c

machine/shared/libsyscallutils.so: machine/shared/syscall-utils.c
	$(CC) -c -Wall -Werror -fpic -o machine/shared/syscall-utils.o \
				      machine/shared/syscall-utils.c
	$(CC) -shared -o machine/shared/libsyscallutils.so machine/shared/syscall-utils.o

top: $(X86ISA_EXEC_CERTS)
	@${info Note: X86ISA_EXEC is $(X86ISA_EXEC).}
	$(BUILD_DIR)/cert.pl -j $(JOBS) top

execclean:
	rm -f machine/x86-syscalls.cert
	rm -f machine/x86-other-non-det.cert
	rm -f machine/x86isa_full_exec_support.*
	rm -f machine/x86-syscalls.acl2
	rm -f $(RDRAND_LIB)
	rm -f $(SYSCALL_LIB)	
	rm -rf machine/shared/*.o

clean:
	$(BUILD_DIR)/clean.pl
	rm -f machine/x86isa_full_exec_support.*
	rm -f machine/x86-syscalls.acl2
	rm -f $(RDRAND_LIB)
	rm -f $(SYSCALL_LIB)
	rm -rf machine/shared/*.o

#======================================================================

=== books/centaur/sv/cosims/Makefile ===
# SV - Symbolic Vector Hardware Analysis Framework
# Copyright (C) 2014-2015 Centaur Technology
#
# Contact:
#   Centaur Technology Formal Verification Group
#   7600-C N. Capital of Texas Highway, Suite 300, Austin, TX 78731, USA.
#   http://www.centtech.com/
#
# License: (An MIT/X11-style license)
#
#   Permission is hereby granted, free of charge, to any person obtaining a
#   copy of this software and associated documentation files (the "Software"),
#   to deal in the Software without restriction, including without limitation
#   the rights to use, copy, modify, merge, publish, distribute, sublicense,
#   and/or sell copies of the Software, and to permit persons to whom the
#   Software is furnished to do so, subject to the following conditions:
#
#   The above copyright notice and this permission notice shall be included in
#   all copies or substantial portions of the Software.
#
#   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
#   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
#   DEALINGS IN THE SOFTWARE.
#
# Original author: Sol Swords <sswords@centtech.com>

.PHONY: all

all:

# ---------------------------------------
#  Building the cosim image

STARTJOB ?= $(SHELL)
ACL2 ?= acl2

CORE := ./cosim-core
IMG_EXT ?= lx86cl64

ACL2_SYSTEM_BOOKS ?= ../../..

$(info Rebuilding Makefile-books...)
REBUILD_MAKEFILE_BOOKS := $(shell \
	$(ACL2_SYSTEM_BOOKS)/build/cert.pl cosims.lisp \
		--quiet \
		--static-makefile Makefile-books \
		--var-prefix BOOKS_TOP; \
        ls -l Makefile-books ;\
	)
$(info $(REBUILD_MAKEFILE_BOOKS))
$(info Done rebuilding makefiles)

-include Makefile-books

cosim-core: cosims.cert make-cosim.lsp
	@rm -f $(CORE)
	@$(STARTJOB) -c "$(ACL2) < make-cosim.lsp &> make-cosim.out"
	@ls -l cosim-core

all: cosim-core symlinks

.PHONY: symlinks

# ------------------------------------------
#  Test setup.
FAILING_TEST_TARGETS := \
  for-nba/ok \
  task/ok \
  task2/ok \
  gates_bufif0/ok \
  gates_bufif1/ok \
  gates_notif0/ok \
  gates_notif1/ok \
  gates_cmos/ok \
  gates_pmos/ok \
  gates_nmos/ok \
  gates_rpmos/ok \
  gates_rnmos/ok \
  gates_pullup/ok \
  gates_pulldown/ok \
  iface_subiface/ok \
  inst_size1/ok \
  inst_size2/ok \
  inst_size3/ok \
  inst_size4/ok \
  udp_wide1/ok \
  stream3/ok \
  iface_gen/ok \
  iface_gen2/ok \
  iface_basic6/ok \
  iface_subiface/ok \
  udp_wide1/ok \
  ifarray1/ok \
  ifarray2/ok \
  ifarray3/ok \
  ifarray4/ok


SPECFILES := $(wildcard */spec.sv)
TESTS := $(patsubst %/spec.sv,%,$(SPECFILES))
TESTCERTS := $(patsubst %,%/ok,$(TESTS))
OUTDATAS_NCV := $(patsubst %,%/outputs.ncv.data,$(TESTS))
OUTDATAS_VCS := $(patsubst %,%/outputs.vcs.data,$(TESTS))

PASSING_TESTS := $(filter-out $(FAILING_TEST_TARGETS), $(TESTCERTS))
OUTDIRS_VCS := $(patsubst %,%/simv.daidir,$(TESTS))
print_tests :
	@echo $(TESTS)

%/ok : %/outputs.ncv.data %/outputs.vcs.data cosim-core
	@echo "Making $*/ok"
	@rm -f $*.ok $*/cosim.out
	COSIM_TESTDIR=$* $(STARTJOB) -c "./cosim-core < run.lsp &> $*/cosim.out"
	@! egrep -i "failed|error" $*/cosim.out > /dev/null
	@mv $*/cosim.out $*/ok
	@ls -l $*/ok

%/outputs.ncv.data : %/spec.sv twovalued.data fourvalued.data test.sv
	@echo "Making $*/outputs.ncv.data"
	@cd $*; \
         if [ -e twovalued ]; then \
           infile=../twovalued.data; \
         else \
           infile=../fourvalued.data; \
         fi; \
	 if [ -e no_ncv ]; then \
		touch outputs.ncv.data; \
         else \
		ncverilog -sv spec.sv ../test.sv +define+infile=\"$$infile\" +define+outfile=\"outputs.ncv.data\"; \
	 fi
	@ls -l $*/outputs.ncv.data

%/outputs.vcs.data : %/spec.sv twovalued.data fourvalued.data test.sv
	@echo "Making $*/outputs.vcs.data"
	@cd $*; \
         if [ -e twovalued ]; then \
           infile=../twovalued.data; \
         else \
           infile=../fourvalued.data; \
         fi; \
	 if [ -e no_vcs ]; then \
		touch outputs.vcs.data; \
	 else \
		 vcs -sverilog spec.sv ../test.sv +define+infile=\"$$infile\" +define+outfile=\"outputs.vcs.data\" && ./simv; \
	 fi
	@ls -l $*/outputs.vcs.data

.PHONY: ncv
ncv : $(OUTDATAS_NCV)

.PHONY: vcs
vcs : $(OUTDATAS_VCS)

.PHONY: passing
passing : $(PASSING_TESTS)

.phony: failing
failing: $(FAILING_TEST_TARGETS)

all : $(TESTCERTS) ncv vcs

.PHONY: cleansim
cleansim:
	rm -f $(OUTDATAS_NCV) $(OUTDATAS_VCS)
	rm -rf $(OUTDIRS_VCS)
	rm -rf */INCA_libs
	rm -rf */csrc
	rm -rf */simv.daidir
	rm -f */simv
	rm -f */irun.history */ncverilog.history
	rm -f */ncverilog.log
	rm -f */test.vcd
	rm -f */ucli.key
	rm -f */ok

.PHONY: clean
clean: cleansim

# [Jared] hack so you can just write "make always1" or similar, adapted
# from vl linttests

.PHONY: $(TESTS)

define mkDirTarget
$(1): $(1)/ok
endef

$(foreach dir, $(TESTS), $(eval $(call mkDirTarget, $(dir))))

=== books/centaur/sv/failtest/Makefile ===
# SV - Symbolic Vector Hardware Analysis Framework
# Copyright (C) 2014-2015 Centaur Technology
#
# Contact:
#   Centaur Technology Formal Verification Group
#   7600-C N. Capital of Texas Highway, Suite 300, Austin, TX 78731, USA.
#   http://www.centtech.com/
#
# License: (An MIT/X11-style license)
#
#   Permission is hereby granted, free of charge, to any person obtaining a
#   copy of this software and associated documentation files (the "Software"),
#   to deal in the Software without restriction, including without limitation
#   the rights to use, copy, modify, merge, publish, distribute, sublicense,
#   and/or sell copies of the Software, and to permit persons to whom the
#   Software is furnished to do so, subject to the following conditions:
#
#   The above copyright notice and this permission notice shall be included in
#   all copies or substantial portions of the Software.
#
#   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
#   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
#   DEALINGS IN THE SOFTWARE.
#
# Original author: Jared Davis <jared@centtech.com>

.PHONY: all clean passing
all:


STARTJOB  ?= bash
COSIM_DIR := $(PWD)/../cosims
CORE      := $(COSIM_DIR)/cosim-core

SPEC_FILES := $(wildcard *.v)
TESTNAMES  := $(patsubst %.v, %, $(SPEC_FILES))
VOK_FILES  := $(patsubst %.v, %.vok,  $(SPEC_FILES))
SVOK_FILES := $(patsubst %.v, %.svok, $(SPEC_FILES))

FAILING_TEST_TARGETS := \
  bigwire1.svok \
  gates2.svok \
  gates5.svok \
  inc8.svok \
  inc9.svok \
  inst9.svok \
  inst12.svok \
  param1.svok \
  elab6.vok elab6.svok \
  stmt1.svok  \
  gen1e.svok \
  gen1h.svok \
  gen1i.svok \
  gen1k.svok \
  gen1l.vok gen1l.svok \
  gen8b.vok gen8b.svok \
  iface26.svok \
  alias1.svok


$(CORE):
	cd $(COSIM_DIR); $(MAKE) cosim-core
	ls -lah $(COSIM_DIR)/cosim-core

%.vok: %.v $(CORE)
	@echo "Making $*.vok"
	@rm -f $*.vok
	@ACL2_CUSTOMIZATION=NONE TESTNAME=$* EDITION=VERILOG-2005 \
          $(STARTJOB) -c "$(CORE) < run.lsp &> $*.vok.log"
	@ls -l $*.vok

%.svok: %.v $(CORE)
	@echo "Making $*.svok"
	@rm -f $*.svok
	@ACL2_CUSTOMIZATION=NONE TESTNAME=$* EDITION=SYSTEM-VERILOG-2012 \
          $(STARTJOB) -c "$(CORE) < run.lsp &> $*.svok.log"
	@ls -l $*.svok

all: $(VOK_FILES) $(SVOK_FILES)

PASSING_VOK := $(filter-out $(FAILING_TEST_TARGETS), $(VOK_FILES))
PASSING_SVOK := $(filter-out $(FAILING_TEST_TARGETS), $(SVOK_FILES))
passing: $(PASSING_VOK) $(PASSING_SVOK)

.phony: failing
failing: $(FAILING_TEST_TARGETS)

clean:
	rm -f *.vok *.svok *.log
	rm -rf csrc INCA_libs simv.daidir
	rm -f simv ucli.key *.history


# [Jared] hack so you can just write "make ansi1" or similar, adapted
# from vl linttests

.PHONY: $(TESTNAMES)

define mkTestTarget
$(1): $(1).vok $(1).svok
endef

$(foreach test, $(TESTNAMES), $(eval $(call mkTestTarget, $(test))))

=== books/projects/masc/examples/Makefile ===

all:

clean:

veryclean: clean
	rm -f *.cert *.lx64fsl *.port *.log *.lisp *.m *.types.h *.decs.h *.out *.ctos.cpp *.i imul/*.cert imul/*.lx64fsl imul/*.port imul/*.log imul/*.lisp imul/*.m imul/*.types.h imul/*.decs.h imul/*.out imul/*.ctos.cpp imul/*.i

=== books/projects/masc/lisp/Makefile ===

all: translate.cert

translate.cert: translate.lisp
	echo '(certify-book "translate")' | ${ACL2}/saved_acl2

clean:

veryclean: clean
	rm -f *.cert *.lx64fsl *.port

=== books/projects/masc/src/Makefile ===

all: ../bin/masc ../bin/parse 

../bin/parse: parser.l parser.y parser.h output.c main.c
	bison -d -v parser.y
	flex parser.l
	g++ -g -o ../bin/parse parser.tab.c lex.yy.c output.c main.c  -lfl

../bin/masc: masc-skel
	echo -e "#!/bin/bash\n\nMASC=${MASC}\nACL2=${ACL2}" | cat - masc-skel > masc
	install -m 755 masc ${MASC}/bin

clean:
	rm -f masc parser.tab.c parser.tab.h parser.output lex.yy.c parser.c

veryclean: clean
	rm -f ../bin/masc ../bin/parse

=== books/centaur/quicklisp/bundle/software/alexandria-20150505-git/doc/Makefile ===
.PHONY: clean html pdf include clean-include clean-crap info doc

doc: pdf html info clean-crap

clean-include:
	rm -rf include

clean-crap:
	rm -f *.aux *.cp *.fn *.fns *.ky *.log *.pg *.toc *.tp *.tps *.vr

clean: clean-include
	rm -f  *.pdf *.html *.info

include:
	sbcl --no-userinit --eval '(require :asdf)' \
	--eval '(let ((asdf:*central-registry* (list "../"))) (require :alexandria))' \
	--load docstrings.lisp \
	--eval '(sb-texinfo:generate-includes "include/" (list :alexandria) :base-package :alexandria)' \
	--eval '(quit)'

pdf: include
	texi2pdf alexandria.texinfo

html: include
	makeinfo --html --no-split alexandria.texinfo

info: include
	makeinfo alexandria.texinfo

=== debian/changelog ===
acl2 (7.2dfsg-3) unstable; urgency=medium

  * build-dep against latest gcl
  * upstream pathname patch

 -- Camm Maguire <camm@debian.org>  Sat, 15 Oct 2016 11:39:07 +0000

acl2 (7.2dfsg-2) unstable; urgency=medium

  * Bug fix: "FTBFS in kfreebsd-amd64", thanks to Andreas Beckmann
    (Closes: #815312).  Reduce GCL_MEM_MULTIPLE setting.
  * Bug fix: "FTBFS in stretch (looks like the same problem in maxima)",
    thanks to Santiago Vila (Closes: #819447).

 -- Camm Maguire <camm@debian.org>  Tue, 03 May 2016 15:05:07 +0000

acl2 (7.2dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "Please do not hide the output from tests", thanks to
    Santiago Vila (Closes: #819446).
  * Bug fix: "FTBFS in stretch (looks like the same problem in maxima)",
    thanks to Santiago Vila (Closes: #819447).

 -- Camm Maguire <camm@debian.org>  Wed, 13 Apr 2016 13:11:10 +0000

acl2 (7.1dfsg-2) unstable; urgency=medium

  * rebuild latest gcl, tail recursive equal works around setrlimit bug on
    s390

 -- Camm Maguire <camm@debian.org>  Tue, 27 Oct 2015 19:33:53 +0000

acl2 (7.1dfsg-1) unstable; urgency=medium

  * Bug fix: "[acl2] Some sources are not included in your package",
    thanks to Bastien ROUCARIÈS (Closes: #787368).
    Repackage to add missing  sources and delete questionable files.
    Removed files in orig tarball that are removed by clean target:
    books/workshops/1999/ivy/ivy-v2/ivy-sources/arithmetic.lisp.bak
    books/workshops/1999/ivy/ivy-v2/ivy-sources/util/checker.orig
    books/workshops/1999/ivy/ivy-v2/ivy-sources/util/make-saved-ivy.orig
    books/workshops/1999/ivy/ivy-v2/ivy-sources/util/sivy.orig
    books/workshops/1999/ivy/ivy-v2/ivy-sources/util/ivy.orig
    Removed sparc binary inadvertently included in upstream:
    books/workshops/2003/schmaltz-al-sammane-et-al/support/acl2link
    Added katex sources to debian/missing-sources:
    debian/missing-sources/books/xdoc/fancy/lib/katex/katex.js
    debian/missing-sources/books/xdoc/fancy/lib/katex/katex.min.css
    debian/missing-sources/books/xdoc/fancy/lib/katex/src/*
    Removed rfc file with non-dfsg licence:
    books/centaur/quicklisp/bundle/software/rfc2388-20130720-git/doc/rfc2388.txt
    Added source to debian/missing-sources to remove a lintian false positive:
    debian/missing-sources/books/workshops/2000/shumsky/slides2_files/script.js
  * build-dep latest gcl
  * updated README.Debian.in
  * remove clisp scripts from acl2-books-source
  * remove .gitignore from acl2-doc
  * added lintian override for (non) extra-license-file
    books/centaur/aignet/copying.cert

 -- Camm Maguire <camm@debian.org>  Wed, 21 Oct 2015 02:21:10 +0000

acl2 (7.1-3) unstable; urgency=medium

  * don't pre-allocate contiguous blocks in acl2.lisp
  * build-dep latest gcl
  * revert code-block-reserve to default set by upstream

 -- Camm Maguire <camm@debian.org>  Fri, 09 Oct 2015 01:09:05 +0000

acl2 (7.1-2) unstable; urgency=medium

  * build-dep latest gcl
  * 50M code-block-reserve on amd64

 -- Camm Maguire <camm@debian.org>  Mon, 28 Sep 2015 15:57:09 +0000

=== debian/control ===
Source: acl2
Section: math
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: gcl ( >= 2.6.12-41), libgmp3-dev, libreadline-dev, emacs24 | emacsen, debhelper ( >= 5), texlive-latex-recommended, libxmu-dev, libxaw7-dev, time, tex-common, texinfo
Standards-Version: 3.9.8

Package: acl2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: acl2-source, acl2-books
Suggests: acl2-emacs
Description: Computational Logic for Applicative Common Lisp: main binary
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the base ACL2 binary. 

Package: acl2-source
Architecture: all
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Depends: ${misc:Depends}	  
Description: Computational Logic for Applicative Common Lisp: source files
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the lisp source files to the main ACL2 binary.

Package: acl2-emacs
Architecture: all
Depends: acl2 (>= ${source:Version}), emacs24 | emacsen, ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: emacs interface
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains an emacs interface to ACL2.

Package: acl2-infix
Architecture: any
Recommends: acl2-infix-source (= ${source:Version})
Depends: acl2 (= ${binary:Version}), texlive-latex-recommended, ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: infix interface
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains utilities and libraries to access ACL2 via an
 infix notation similar to that used in many non-lisp programming
 languages.

Package: acl2-infix-source
Architecture: all
Depends: ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: infix source
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the source files to the infix interface to
 ACL2.

Package: acl2-books
Architecture: any
Depends: acl2 (= ${binary:Version}), acl2-books-certs (= ${source:Version}), acl2-books-source (= ${source:Version}), ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: compiled libraries
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains numerous precompiled and precertified libraries
 for use in proving theorems with ACL2.  Serious users will no doubt
 want to install this package.

Package: acl2-books-source
Architecture: all
Depends: acl2 (>= ${source:Version}), ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: library sources
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains source lisp files to the compiled libraries
 supplied in the ACL2-books package.

Package: acl2-books-certs
Architecture: all
Depends: acl2 (>= ${source:Version}), ${misc:Depends}
Conflicts: acl2 (<= 2.7-9)
Replaces: acl2 (<= 2.7-9)
Description: Computational Logic for Applicative Common Lisp: library certificates
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This file contains certification records for the various precompiled
 libraries supplied in the ACL2-books package.  ACL2 essentially
 requires that all included books be certified before use.

Package: acl2-doc
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Architecture: all
Section: doc
Description: Computational Logic for Applicative Common Lisp: documentation
 ACL2 is both a programming language in which you can model computer
 systems and a tool to help you prove properties of those models.
 .
 This package contains the documentation for ACL2.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=4

# This has to be exported to make some magic below work.
export DH_OPTIONS

PN:=acl2
VR:=$(shell awk '{if (i) next;i=1;a=$$2;gsub("[()]","",a);split(a,A,"-");print A[1];}' debian/changelog)
PD:=$(PN)-$(VR)


NO_STRIP:=
# ifeq ($(DEB_BUILD_ARCH),powerpc)
# NO_STRIP:=--exclude=saved_acl2
# endif

NUMJOBS:=1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS:=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
NUMJOBS:=$(shell if test $(NUMJOBS) -gt 8; then echo 8 ; else echo $(NUMJOBS); fi)

#books/workshops:
#	mkdir $@

#init.lsp.ori: 
#	[ -e $@ ] || mv init.lsp $@

DLOPEN_T:=debian/dlopen.lisp #init.lsp.ori 

#ifeq ($(DEB_BUILD_ARCH),ia64)
#DLOPEN?=$(DLOPEN_T)
#endif
#ifeq ($(DEB_BUILD_ARCH),alpha)
#DLOPEN?=$(DLOPEN_T)
#endif
#ifeq ($(DEB_BUILD_ARCH),mips)
#DLOPEN?=$(DLOPEN_T)
#endif
#ifeq ($(DEB_BUILD_ARCH),mipsel)
#DLOPEN?=$(DLOPEN_T)
#endif
#ifeq ($(DEB_BUILD_ARCH),hppa)
#DLOPEN?=$(DLOPEN_T)
#endif

debian/dlopen.lisp: debian/dlopen.lisp.in
	cat $< | sed "s,@VR@,$(VR),g" > $@

debian/acl2-emacs.emacsen-startup: debian/acl2-emacs.emacsen-startup.in
	cat $< | sed "s,@VR@,$(VR),g" > $@

#pgcl:
#	echo "(progn #+:x86_64(setq si::*code-block-reserve* (make-array 50000000 :element-type (quote character) :static t))" \
#             "(si::save-system \"$@\"))" | GCL_ANSI=t gcl

saved_acl2: $(DLOPEN_T) #debian/patches_applied pgcl 
#	echo '(progn (load "debian/sublis_patch.lsp")(si::save-system "pgcl"))' | gcl
	gcl -batch -eval "(bye #-native-reloc 1)" || \
		(gcl -batch -eval '(load "debian/dlopen.lisp")' && $(MAKE) do_saved)
	gcl -batch -eval "(bye #+native-reloc 1)" || $(MAKE) GCL_ANSI=t LISP=gcl
	mv *$@.gcl $@

saved_acl2.c: saved_acl2
	echo "(f-put-global 'old-certification-dir \"$$(pwd)/books\" state)" \
              "(f-put-global 'new-certification-dir \"/usr/share/$(PD)/books\" state)" \
	      ":q #-native-reloc (setq si::*multiply-stacks* 4) :q (in-package :acl2) " \
	      "#+(or sparc sparc64)(progn (si::sgc-on nil) (fmakunbound 'si::sgc-on))" \
              "(save-exec \"$@\" \"Modified to produce final certification files\")" | HOME=$$(pwd) ./$<
	mv $@.gcl $@

debian/mini-proveall.out: saved_acl2
	HOME=$$(pwd) $(MAKE) mini-proveall
	mv $(@F) $@

books/short-test.log: saved_acl2.c
	cp saved_acl2 saved_acl2.ori
	HOME=$$(pwd) $(MAKE) certify-books-short
	cp saved_acl2.ori saved_acl2

#	tail -f --pid=$$j --retry $@ $$(find books -name "*.lisp" | sed 's,\.lisp$$,.out,1') & \

debian/test.log: saved_acl2.c
	mv saved_acl2 saved_acl2.ori
	cp $< saved_acl2
	BUILDDIR="$$(dirname $$(pwd))" \
	FINALDIR="/usr/share/$(PD)" \
	HOME=$$(pwd) \
	EXCLUDED_PREFIXES=centaur/tutorial/alu16-book \
	GCL_MEM_MULTIPLE=0.5 \
	$(MAKE) -j $(NUMJOBS) -l 2.95 certify-books 2>&1 | tee $@ & j=$$! ; \
	while sleep 1800; do echo Tick; done & k=$$! ; \
	wait $$j ; kill $$k
#	>$@ 2>&1 & j=$$! ; \
#	while sleep 1800; do echo Tick; done & k=$$! ; tail -f debian/test.log & l=$$! ; \
#	wait $$j ; kill $$k $$l
#	[ -f $@ ] && ! fgrep '**' $@ || (echo FULL TEST FAILS ;\
#		for i in $$(find books -name "*.out"); do \
#			if ! [ -e $${i%out}cert ] ; then \
#				echo $$i ; \
#				cat $$i ; \
#			fi ; \
		done)
	mv saved_acl2.ori saved_acl2
	[ -f $@ ] && ( ! fgrep '**' $@ || \
	  gcl -batch -eval "(bye #-native-reloc 0 #+native-reloc (let ((w (multiple-value-bind (a b c d) (si::heap-report) (/ (- d c) (/ a 8))))) (format t \"certification run with ~s heap words~%\" w) (if (< w 500000000) 0 1)))")

books/interface/infix/Makefile: books/interface/infix/makefile
	sed -e "s,^DIR = .*,DIR = $$(pwd)/books/interface/infix,1" \
	    -e "s,^LISP = .*,LISP = $$(pwd)/saved_acl2,1" $< > $@

infix-stamp: books/interface/infix/Makefile saved_acl2
	cd books/interface/infix && make -f Makefile compile 
	cd books/interface/infix && make -f Makefile example 
#	cd books/interface/infix && make -f Makefile events 
	touch $@

doc/TEX/acl2-book.ps.gz: saved_acl2
	HOME=$$(pwd) $(MAKE) DOC
	rm -f doc/HTML/LICENSE
	find doc -empty -exec rm {} \;

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: debian/mini-proveall.out debian/test.log infix-stamp # doc/TEX/acl2-book.ps.gz
	dh_testdir

#	$(MAKE)

	touch build-stamp

infix_clean: books/interface/infix/Makefile
	rm -f infix-stamp 
	cd books/interface/infix && make -f Makefile clean
	rm -f books/interface/infix/Makefile


debian/dpatches: debian/patches.in
	debian/rules debian/patches_unapplied
	cat $< | sed -e "s,@BDIR@,$$(pwd),1" -e "s,@DDIR@,/usr/share/$(PD),1" >$@

debian/patches_applied: debian/dpatches
	! [ -e debian/patches_unapplied ] || \
		(patch -p1 < $< && rm -f debian/patches_unapplied)
	touch $@

debian/patches_unapplied: 
	! [ -e debian/patches_applied ] || ! [ -e debian/dpatches ] ||  \
		(patch -p1 -R < debian/dpatches && rm -f debian/patches_applied)
	touch $@


INSTALLS:=$(addprefix debian/,$(addsuffix .install,acl2 acl2-source acl2-emacs acl2-doc acl2-books acl2-books-source acl2-books-certs acl2-infix acl2-infix-source))
LINKS:=$(addprefix debian/,$(addsuffix .links,acl2 acl2-books acl2-infix))
IFILES:=$(INSTALLS) $(shell ls -1 debian/*.examples debian/*.docs)
debian/README.Debian: debian/README.Debian.in $(IFILES)
	awk '/@PLIST@/ {exit 0} {print}' $< >$@
	for i in $(filter %.install,$^); do\
	 awk '/^debian\// {next} {sub(".final$$","",$$1);$$2="/" $$2;print $$0 " " p}' \
		p=$$(basename $${i%.install}) $$i >>$@ ; done
	for i in $(filter %.info,$^); do\
	 awk '/^debian\// {next} {print $$0 " /usr/share/info " p}' p=$$(basename $${i%.info}) $$i >>$@ ; done
	for i in $(filter %.examples,$^); do\
	 awk '/^debian\// {next} {print $$0 " /usr/share/doc/" p "/examples " p}' \
		p=$$(basename $${i%.examples}) $$i >>$@ ; done
	for i in $(filter %.docs,$^); do\
	 awk '/^debian\// {next} {print $$0 " /usr/share/doc/" p " " p}' p=$$(basename $${i%.docs}) $$i >>$@ ; done
	awk '/@PLIST@/ {i=1;next} {if (i) print}' $< >>$@

clean: infix_clean #debian/patches_unapplied books/workshops
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	$(MAKE) clean
	$(MAKE) clean-books
	find books -name "*.final" -exec rm {} \;
	rm -f saved_acl2 init_nsaved1_acl2.lsp worklispext
	rm -f debian/mini-proveall.out books/short-test.log debian/test.log
#	! [ -e init.lsp.ori ] || mv init.lsp.ori init.lsp
	rm -f foo.lsp nsaved_acl2
	for i in data c h ; do \
		for j in $$(find -name "*.$$i") ; do\
			k=$$(echo $$j | sed "s,\.$$i$$,,1") ;\
			! [ -e $$k.lisp ] || rm $$j ; \
		done ; \
	done
	rm -f books/bdd/benchmarks.data acl2r.lisp tmp
	rm -f debian/dpatches $(INSTALLS) $(LINKS) debian/README.Debian saved_acl2*
	rm -f debian/dlopen.lisp debian/acl2-emacs.emacsen-startup
	rm -f debian/acl2.sh pgcl books/Makefile-tmp books/coi/gensym/gensym.out sys-proclaim.lisp
	rm -f books/coi/gensym/Makefile-deps books/coi/gensym/workxxx.gensym books/system/doc/rendered-doc.lsp
	rm -rf doc/HTML-old doc/EMACS-old doc/acl2-wc.txt books/std/io/test.sao
	rm -f books/centaur/bitops/bitsets-opt-raw.o books/centaur/vl/util/gc-raw.o \
		books/centaur/misc/tshell-raw.o books/centaur/vl/Makefile-tmp \
		books/build/Makefile-sources books/build/Makefile-certs 
	rm -f debian/acl2-books-certs.lintian-overrides
	dh_clean -XTAGS

debian/acl2-infix.install:: 
	find books/interface/infix -name "*.o" | awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	find books/interface/infix -name "*.sty" | \
		awk '{a=$$1;sub("/[^/]*$$","",a);printf("%s usr/share/texmf/tex/latex\n",$$1);}' >>$@

debian/acl2-infix-source.install::

## acl2 7.4dfsg

=== books/projects/apply-model/Makefile ===
# Target "all" is the top target of Makefile-generic, and target "top"
# is the top target of Makefile-psubdirs.  We must make "all" before
# "top".

top ex1 ex2: all
DIRS = ex1 ex2

ACL2 ?= ../../../saved_acl2

ACL2_SYSTEM_BOOKS ?= ../..

include $(ACL2_SYSTEM_BOOKS)/Makefile-generic
include $(ACL2_SYSTEM_BOOKS)/Makefile-psubdirs

-include Makefile-deps

=== books/projects/x86isa/Makefile ===
# Shilpi Goel

# Usage:

# make JOBS=2 \
#      X86ISA_EXEC=t \
#      ACL2=<Path of the ACL2 image>

#======================================================================
.PHONY: all write_exec_fn top execclean clean
#======================================================================

ifndef ACL2
 $(error Variable ACL2 is undefined.)
endif

BUILD_DIR := $(dir $(ACL2))books/build
CC ?= gcc
X86ISA_EXEC ?= t
JOBS ?= 2

#======================================================================

ifeq ($(X86ISA_EXEC), t)

PLATFORM = $(shell uname | tr a-z A-Z)

ifeq ($(findstring LINUX,$(PLATFORM)), LINUX)
 SYSCALL_LIB := machine/shared/libsyscallutils.so
 X86ISA_EXEC_CERTS = $(SYSCALL_LIB)
# PROOF_BOOKS += $(LINUX_BOOKS)
endif # ifeq ($(findstring LINUX,$(PLATFORM)), LINUX)

ifeq ($(findstring DARWIN,$(PLATFORM)), DARWIN)
 SYSCALL_LIB := machine/shared/libsyscallutils.dylib
 X86ISA_EXEC_CERTS = $(SYSCALL_LIB)
# PROOF_BOOKS += $(DARWIN_BOOKS)
endif # ifeq ($(findstring DARWIN,$(PLATFORM)), DARWIN)

# Note that X86ISA_EXEC_CERTS will be empty if we are on a machine
# other than Darwin or Linux. Currently, for FreeBSD machines, we do
# not have full execution support (i.e., SYSCALLS in programmer-level
# mode will not be simulated.)

X86ISA_FULL_EXEC_SUPPORT_EXISTS := $(wildcard machine/x86isa_full_exec_support.lisp)
X86_SYSCALLS_ACL2_EXISTS := $(wildcard machine/x86-syscalls.acl2)

ifneq ($(X86ISA_EXEC_CERTS), )
ifneq ($(X86ISA_FULL_EXEC_SUPPORT_EXISTS), machine/x86isa_full_exec_support.lisp)
ifneq ($(X86_SYSCALLS_ACL2_EXISTS), machine/x86-syscalls.acl2)
 X86ISA_EXEC_CERTS += write_exec_fn
endif # ifneq ($(X86_SYSCALLS_ACL2_EXISTS), machine/x86-syscalls.acl2)
endif # ifneq ($(X86ISA_FULL_EXEC_SUPPORT_EXISTS), machine/x86isa_full_exec_support.lisp)
endif # ifneq ($(X86ISA_EXEC_CERTS), )
endif # ifeq ($(X86ISA_EXEC), t)

#======================================================================

all: $(X86ISA_EXEC_CERTS) top

write_exec_fn: # Here only when X86ISA_EXEC=t, X86ISA_EXEC_CERTS is not empty, and if generated files don't exist already	
	@${info Note: Including the following C shared libraries: $(SYSCALL_LIB)}
	@echo ';; File contents generated during the make process:' > machine/x86isa_full_exec_support.lisp 
	@echo '(in-package "X86ISA")' >> machine/x86isa_full_exec_support.lisp
	@echo '(defun x86isa_syscall_exec_support () 42)' >> machine/x86isa_full_exec_support.lisp 
	@${info machine/x86isa_full_exec_support.lisp created to support X86ISA_EXEC=$(X86ISA_EXEC).} 
	@${info Note: Please do not add machine/x86isa_full_exec_support.lisp to the repository!} 
	@cp machine/cert.acl2 machine/x86-syscalls.acl2
	@echo '(ld "x86isa_full_exec_support.lisp" :ld-missing-input-ok t)' >> machine/x86-syscalls.acl2 
	@${info machine/x86-syscalls.acl2 created to support X86ISA_EXEC=$(X86ISA_EXEC).} 
	@${info Note: Please do not add machine/x86-syscalls.acl2 to the repository!} 
	@${info Remember to do 'make execclean' if you wish to build with X86ISA_EXEC=nil.} 
	@${info ----------------------------------------------------------------------} 

machine/shared/libsyscallutils.dylib: machine/shared/syscall-utils.c
	$(CC) -m64 -dynamiclib -Wall -o machine/shared/libsyscallutils.dylib \
	     machine/shared/syscall-utils.c

machine/shared/libsyscallutils.so: machine/shared/syscall-utils.c
	$(CC) -c -Wall -Werror -fpic -o machine/shared/syscall-utils.o \
				      machine/shared/syscall-utils.c
	$(CC) -shared -o machine/shared/libsyscallutils.so machine/shared/syscall-utils.o

top: $(X86ISA_EXEC_CERTS)
	@${info Note: X86ISA_EXEC       := $(X86ISA_EXEC)}
	@${info Note: X86ISA_EXEC_CERTS := $(X86ISA_EXEC_CERTS)}
	$(BUILD_DIR)/cert.pl -j $(JOBS) top

execclean:
	rm -f machine/x86-syscalls.cert
	rm -f machine/x86-other-non-det.cert
	rm -f machine/x86isa_full_exec_support.*
	rm -f machine/x86-syscalls.acl2
	rm -f $(SYSCALL_LIB)
	rm -rf machine/shared/*.o

clean:
	$(BUILD_DIR)/clean.pl
	rm -f machine/x86isa_full_exec_support.*
	rm -f machine/x86-syscalls.acl2
	rm -f $(SYSCALL_LIB)
	rm -rf machine/shared/*.o

#======================================================================

=== books/projects/masc/examples/Makefile ===

all:

clean:

veryclean: clean
	rm -f *.cert *.lx64fsl *.port *.log *.lisp *.m *.types.h *.decs.h *.out *.ctos.cpp *.i imul/*.cert imul/*.lx64fsl imul/*.port imul/*.log imul/imul.lisp imul/imul.ast.lisp imul/*.m imul/*.types.h imul/*.decs.h imul/*.out imul/*.ctos.cpp imul/*.i

=== books/projects/masc/src/Makefile ===

all: ../bin/masc ../bin/parse 

../bin/parse: parser.l parser.y parser.h output.c main.c
	bison -d -v parser.y
	flex parser.l
	g++ -g -o parse parser.tab.c lex.yy.c output.c main.c  -lfl
	install -m 775 parse ${MASC}/bin
	/bin/rm parse

../bin/masc: masc-skel
	echo -e "#!/bin/bash\n\nMASC=${MASC}\nACL2=${ACL2}" | cat - masc-skel > masc
	install -m 775 masc ${MASC}/bin
	/bin/rm masc

clean:
	/bin/rm -f masc parser.tab.c parser.tab.h parser.output lex.yy.c parser.c

veryclean: clean
	/bin/rm -f ../bin/masc ../bin/parse

=== debian/changelog ===
acl2 (7.4dfsg-4) unstable; urgency=medium

  * Accept NMU, thanks to Sean Whitton
  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 29 Aug 2017 23:11:16 +0000

acl2 (7.4dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump {build-,}deps emacs24 -> emacs25 (Closes: #870663).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 Aug 2017 17:27:43 -0400

acl2 (7.4dfsg-3) unstable; urgency=medium

  * build-dep latest gcl
  * revert mxgot for mips64

 -- Camm Maguire <camm@debian.org>  Thu, 08 Jun 2017 22:34:51 +0000

acl2 (7.4dfsg-2) unstable; urgency=medium

  * Set GCL_MULTIPROCESS_MEMORY_POOL for certifications
  * build-dep latest gcl for mips64el fix
  * Bug fix: "build fails on mips (mips-aql-05)", thanks to Héctor Orón
    Martínez (Closes: #863224).
  * mxgot .acl2 files patch

 -- Camm Maguire <camm@debian.org>  Sun, 28 May 2017 12:14:24 +0000

acl2 (7.4dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Mon, 08 May 2017 16:58:52 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Camm Maguire <camm@debian.org>
-Build-Depends: gcl ( >= 2.6.12-41), libgmp3-dev, libreadline-dev, emacs24 | emacsen, debhelper ( >= 5), texlive-latex-recommended, libxmu-dev, libxaw7-dev, time, tex-common, texinfo
+Build-Depends: gcl ( >= 2.6.12-57), libgmp3-dev, libreadline-dev, emacs25 | emacsen, debhelper ( >= 5), texlive-latex-recommended, libxmu-dev, libxaw7-dev, time, tex-common, texinfo
 Standards-Version: 3.9.8
 
 Package: acl2
@@ -29,7 +29,7 @@
 
 Package: acl2-emacs
 Architecture: all
-Depends: acl2 (>= ${source:Version}), emacs24 | emacsen, ${misc:Depends}
+Depends: acl2 (>= ${source:Version}), emacs25 | emacsen, ${misc:Depends}
 Conflicts: acl2 (<= 2.7-9)
 Replaces: acl2 (<= 2.7-9)
 Description: Computational Logic for Applicative Common Lisp: emacs interface
